I want to try Veejay since 2012

32 views
Skip to first unread message

Alisson Depizol

unread,
Aug 12, 2015, 12:47:04 AM8/12/15
to veejay-discussion
Guys,

I'm dying to drop Resolume, I believe that Veejay is the right tool but I don't have enough technical knowledge to compile it, I've been trying to run Veejay, without success, since 2012, tried the old deb files, tried to download the source and I'm kinda sad.  For Christ sake, I just want mix some videos and help the bands/DJs to make people happy.
I'm using Ubuntu Mate 14.04 and in my last attempt I tried the script bellow that pull the latest version from the repo and run the installers:

#!/bin/bash
#simple script to build and install the latest version of veejay from git (which I believe that is 1.5.51)
#libmjpegtools-dev libsdl2-ttf-dev required
#set pkg config path
export PKG_CONFIG_PATH=/usr/lib/x86_64-linux-gnu/pkgconfig:/usr/local/lib/pkgconfig
export SDL_TTF_LIBS=-lSDL_ttf
#set output Dir and make if it does not exsist
VPATH
=~/src/git/vj
mkdir
-p $VPATH
#change to vpath and clone vj from git
cd $VPATH
git clone http
://code.dyne.org/veejay
#change to server source
cd veejay
/veejay-current/veejay-server
#configure build and install veejay
#you may need to disable sdl to get recent version to compile
#./autogen.sh && ./configure --without-sdl && make && sudo make install
./autogen.sh && ./configure --prefix=/usr && make && sudo make install
cd ../
veejay-client
./autogen.sh && ./configure --prefix=/usr && make && sudo make install
cd ../
veejay-utils
./autogen.sh && ./configure --prefix=/usr && make && sudo make install
cd ../
veejay-themes
sudo
./INSTALL.sh
#install sendVIMS
#cd ..
#./configure && make && sudo make install



but it fails in the reloaded instalation, that is the output from my console:

Cloning into 'veejay'...
Checking connectivity... done.
autoreconf
: Entering directory `.'
autoreconf: configure.ac: not using Gettext
autoreconf: running: aclocal -I m4 --force -I m4
autoreconf: configure.ac: tracing
autoreconf: configure.ac: not using Libtool
autoreconf: running: /usr/bin/autoconf --include=m4 --force
configure.ac:120: error: possibly undefined macro: AC_PROG_LIBTOOL
      If this token and others are legitimate, please use m4_pattern_allow.
      See the Autoconf documentation.
autoreconf: /usr/bin/autoconf failed with exit status: 1
autoreconf: Entering directory `
.'
autoreconf: configure.ac: not using Gettext
autoreconf: running: aclocal -I m4 --force -I m4
autoreconf: configure.ac: tracing
autoreconf: configure.ac: not using Libtool
autoreconf: running: /usr/bin/autoconf --include=m4 --force
configure.ac:68: error: possibly undefined macro: AC_PROG_LIBTOOL
      If this token and others are legitimate, please use m4_pattern_allow.
      See the Autoconf documentation.
autoreconf: /usr/bin/autoconf failed with exit status: 1
autoreconf: Entering directory `.'

autoreconf
: configure.ac: not using Gettext
autoreconf
: running: aclocal -I m4 --force
autoreconf
: configure.ac: tracing
autoreconf
: configure.ac: not using Libtool
autoreconf
: running: /usr/bin/autoconf --include=m4 --force
configure
.ac:72: error: possibly undefined macro: AC_PROG_LIBTOOL
     
If this token and others are legitimate, please use m4_pattern_allow.
     
See the Autoconf documentation.
autoreconf
: /usr/bin/autoconf failed with exit status: 1
Cannot find reloaded in PATH

Can somebody help me, please?




Niels Elburg

unread,
Aug 12, 2015, 3:51:38 AM8/12/15
to veejay-discussion
Hi 

I think you are missing some dependencies needed to build

Recently I've updated the Ubuntu 14.04 compile howto here:


sudo apt-get install autoconf automake libtool m4 gcc libjpeg62-dev libswscale-dev libavutil-dev libavcodec-dev libavformat-dev libx11-dev gtk-2.0-dev libxml2-dev libsdl1.2-dev libjack0 libjack-dev jackd1 libquicktime-dev liblo-dev




--
You received this message because you are subscribed to the Google Groups "veejay-discussion" group.
To unsubscribe from this group and stop receiving emails from it, send an email to veejay-discuss...@googlegroups.com.
To post to this group, send email to veejay-d...@googlegroups.com.
Visit this group at http://groups.google.com/group/veejay-discussion.
For more options, visit https://groups.google.com/d/optout.

Alisson Depizol

unread,
Aug 12, 2015, 6:46:03 PM8/12/15
to veejay-discussion
Hello Niels,

thanks for the reply and the help
I pulled the latest version from git repo now (6:58 pm GMT-3) and there is no autogen.sh in the veejay-server directory, so I was unable do build the installer.
Any ideas?

Niels Elburg

unread,
Aug 13, 2015, 1:36:44 PM8/13/15
to veejay-discussion
Hi Alisson,

Are you sure you are on the master branch ? I just checked it, but the file is really there: http://code.dyne.org/veejay/tree/veejay-current/veejay-server

Alternatively, you can just run "autoreconf -v -fi -I m4" , which is the same thing but I doubt if you are on the right repository (or branch). You are on dyne's git right ?
 
To checkout the master branch, I think you can simply do "git checkout master" (this should be the default anyway)

git checkout master

Let me know if this works, otherwise (if sourceforge file release service is up) I'd release a source tarball

See you,





--
Reply all
Reply to author
Forward
0 new messages